<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Shows hints and information in a box
 * 
 * @since 2011-11
 */

class Info_Box
{
    protected  $inline = 0;
    protected  $headline = 'INFO: ';
    protected  $color = 'blue';
    protected  $condition = 1;
    protected  $padding = 2;


/**
 * Creates an info-box
 *
 * @param string $text
 * @param string $width Number and unit f.i. 100px or 20% ... 
 */
function show_box($text, $width='90%') 
{
    if ($this->condition) {
        if ($this->color == 'blue') {
            $color = '#E6E5FF';
        }elseif ($this->color == 'red') {
            $color = '#FFE2E2';
        }elseif ($this->color == '') {
            $color = '#E6E5FF';
        }
        ?>
        <div style="
            border: 1px solid <?php print $this->color; ?>; 
            width: <?php print $width; ?>;
            font-size: 9pt;
            font-family: monospace; 
            color: <?php print $this->color; ?>; 
            margin: 2px;
            padding: <?php print $this->padding; ?>px;
            background-color: <?php print $color; ?>; 
            ">
            
            
            <span style="font-weight: bold"><?php print $this->headline; ?></span>
                <?php 
                if ($this->inline == 1) {
                    print $text;
                }else{
                    print '<br>';
                    print nl2br($text);
                }
                ?>
        </div>
        <?php
    }
}
    
/**
 *
 * @param bool $bool 
 */
function set_inline($bool) 
{
    $this->inline = $bool;
}

/**
 *
 * @param string $blue_or_red 
 */
function set_color($blue_or_red) 
{
    $this->color = $blue_or_red;
}


/**
 *
 * @param string $blue_or_red 
 */
function set_padding($px) 
{
    $this->padding = $px;
}

/**
 * Condition for displaying info box.
 * 
 * @param string $condition 
 */
function set_condition($condition) 
{
    $this->condition = $condition; 
}

/**
 * Proof if request value exist.
 * 
 * @param string $request_name
 * @param int $request_value 
 */
function set_condition_request($request_name, $request_value) 
{
    $this->condition = isset($_REQUEST[$request_name]) 
            and $_REQUEST[$request_name] == $request_value; 
}

/**
 *
 * @param string $headline 
 */
function set_headline($headline) 
{
    $this->headline = $headline;
}

} // end class
