<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * In compare with boolswitch, linkswitch dont change fields in db, but
 * change Sessen values
 * 
 * Change values of session parameters to display or hide sth.
 * 
 * Requires: class Link
 *
 * @since 2010-07
 */
class Link_Switch extends Link 
{
    /**
     * Change values of session parameters to display or hide something.
     *
     * @param str $name1 name of value f.i. nk for nachkalku
     * @param str $text1 linkschrift 1
     * @param <type> $text2 linkschrift 2
     * @param <type> $value1 wert 1 z.B. 0 (standard) or asc
     * @param <type> $value2 wert 2 z.B. 1 (standard) or desc
     * @return string
     */
    function link_session2($name1, $text1, $text2, $value1=0, $value2=1) 
    {
        if( (isset($_SESSION[$name1]) and $_SESSION[$name1] == $value2)
                and ($value1 != $value2)) 
        {
            $value = $value1;
            $inscription = $text1;
            $this->set_class('link_invert');

        }else{
            $value = $value2;
            $inscription = $text2;
        }
      
        $arr[$name1] = $value;
        $target = $_SERVER['PHP_SELF'];

       $link = $this->make_link( $target, $inscription, $arr );
       return $link;
    }

}
?>