<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Included in all files
 */


// Project path
define('PROJECT_DOCUMENT_ROOT', dirname(__FILE__));

// system settings
require_once PROJECT_DOCUMENT_ROOT . '/config.php';

// database settings
require_once PROJECT_DOCUMENT_ROOT . '/config_db.php';

// Check login data, (auth.inc.php needs config.php)
require_once 'auth.php';

// includes
require_once PROJECT_DOCUMENT_ROOT . '/include/include.inc.php';

// functions
require_once PROJECT_DOCUMENT_ROOT . '/include/function.inc.php';


/**
 * get user as array. Patterns: $def[logo_url] etc.
 */
if (isset ($_SESSION['use_id'])) {
    // db object and database
    $db = new Dbc();

    // Define variables when running on local system
    if (LOCAL_SYSTEM == true) {
        $use = array(
            'id' => FAKTURA_USER_ID,
            'email' => 'info@schreinerwissen.de',
            'surname' => 'Holz',
            'forename' => 'Holzi',
            'postcode' => '60000',
            'city' => 'Frankfurt',
            'street' => 'Schreinerwissen Allee 555',
            'pw' => '4a8a08f09d37b73795649038408b5f33',
            'date_insert' => '0000-00-00 00:00:00',
            'db_e' => DB_NAME,
            'mod_all' => 0,
            'mod_calc' => 1,
            'mod_copy' => 1,
            'mod_css' => 1,
            'mod_trial' => 0,
            'mod_email' => 0,
            'mod_expense' => 1,
            'mod_anfrage' => 1,
            'mod_filter' => 1,
            'mod_import' => 1,
            'mod_kalku' => 1,
            'mod_letter' => 1,
            'mod_logo' => 1,
            'mod_operator' => 1,
            'mod_pdf' => 1,
            'mod_reminder' => 1,
            'mod_ship' => 1,
            'mod_text' => 1,
            'mod_todo' => 1,
            'mod_analysis' => 1,
            'mod_workflow' => 1,
            'hide' => 0,
            'free_use' => 1,
            );
        
        $_SESSION['use_id'] = FAKTURA_USER_ID;
        
    // Define user variables from db
    }else{
        $use = $db->get_row_as_array($tbl_use, "id = ".$_SESSION['use_id']);
    }
    $db_select = $db->select_db($use['db_e']);
    
    // Hint
    $info = new Info_Box();
    
    $html = new Html_Element();
    
    /**
     * exist table for user?
     */
    if (LOCAL_SYSTEM == false and $db_select == true) {
        $sql = "SHOW TABLES FROM ". $use['db_e'] ." LIKE 'tbl_".$_SESSION['use_id']."\_%'";
        $number_of_tables = $db->count_rows($sql);
    }else{
        $number_of_tables = 0;
    }
    
    // System is running on a PC as a local system
    if (LOCAL_SYSTEM == true) {
        // Check if db is present
        $db_present = $db->select_db(DB_NAME);
        // Create db
        if ($db_present == false) {
            $sql = "CREATE DATABASE IF NOT EXISTS " . DB_NAME . " ;";
            $db_created = $db->do_sql($sql);
            if ($db_created == true) {
                print '<p>DB erstellt.</p>';
            }else{
                exit ('<p>Datenbank konnte nicht erstellt werden. 
                    Versuchen Sie die Datenbank '. DB_NAME
                        . ' mit phpmyadmin zu erstellen.<p>');
            }
            $number_of_tables = 0;
            
        // count tables
        }else{
            $sql = "SHOW TABLES FROM " . DB_NAME . " LIKE 'tbl_" 
                 . $_SESSION['use_id'] . "\_%'";
            $number_of_tables = $db->count_rows($sql);
        }
    }

    if ($number_of_tables > 1) {
         // Get settings as array, like: $adm[logo_url] etc.
        $adm = $db->get_row_as_array($tbl_adm, "id = 1");
        
        // prevent interval_row = zerro
        if (empty($adm['interval_row'])) {
            $adm['interval_row'] = 1;
        }
         // Get Operator
        if (isset ($_SESSION['bea_id'])) {
            $worker = $db->get_row_as_array($tbl_wor, 'id=' . $_SESSION['bea_id']);
            
            // Prevent error on local system
            if (LOCAL_SYSTEM == true) {
                $_SESSION['bea_username'] = $worker['username'];
            }
            // Prevent column-width = zerro
            if (isset($worker['column_width']) and $worker['column_width'] < 5) {
                $worker['column_width'] = COLUMN_WIDTH;
            }
        }
    }

    // Hide column nr, if eigene_beleg_nr ==1
    if (isset ($adm['own_doc_number']) and $adm['own_doc_number'] != 1) {
        unset ($ord_fel_output[1]);
        $ord_fel_output = array_merge($ord_fel_output);
    }

    /**
     * Headline
     */
    $headline = $headline_base;
    $headline .= '<p class="small" style="display: inline; padding: 0; margin: 0;">';
    if (isset($use)) {
        $headline .= $_SERVER['HTTP_HOST'].' | '.$use['email'].' | ';
    }

    if (isset ($worker['username'])) {
        $headline .= $worker['username'].' | ';
    }
    if ($use['mod_all'] == 1) {
        $version = 'Vollversion';
    }else{
        $version = 'Basisversion';
    }
    if ($use['free_use'] == 1) {
        $free_use = 'Freie ';
    }else{
        $free_use = '';
    }
    
    $headline .= $use['db_e'].' | ' . $use['id'] . ' | ' . $free_use . $version . '</p>
    </div>';


    /**
     * CSS
     */
    if (isset ($_GET['css'])) {
        $css = $_GET['css'];
    }else{
        if ((isset ($worker['css']) and $worker['css'] == '') or !isset ($worker['css'])) {
            $css = 'default.css';
            #$css = 'handheld.css';
        }else{
            $css = $worker['css'];
            #$css = 'handheld.css';
        }
        
        // Check for mobile devices and switch to special css
        if(check_mobile()) { 
        
        #if(1) { 
            $css = 'handheld.css';
            $mobil = true;
            $adr_fel_output = array_slice($adr_fel_output, 0, 4);
            $ord_fel_output = array_slice($ord_fel_output, 0, 4);
            $la_edit_for_link_addition = '';
        }else{
            $mobil = false;
        }
        
    }

// end isset $_SESSION['use_id']
}else{
    exit ('<p class="error">User fehlt.<br/>
        Bitte nochmals einloggen.</p>');
}

/**
 *  Save session to database each 180 seconds
 */
if (!isset($_SESSION['time'])) {
    $_SESSION['time'] = time();
}
$time_gap = time() - $_SESSION['time'];
if ($time_gap > SAVE_SESSION_INTERVAL and isset($_SESSION['bea_id'])) {
    save_session();
}

// Write request values to the session
request_to_session();

// test table
$tbl_name = new Tbl_Name(); 
$tbl = $tbl_name->get_tbl_name();

// File name
$file = basename($_SERVER['PHP_SELF']);



// File with variables
$file8 = PROJECT_DOCUMENT_ROOT . '/development/common.inc.php';
if (is_file($file8)) {
    require_once $file8;
}

// Tax short
if (empty($adm['tax_short'])) {
    $la_tax_short = $la_tax_short;
}else{
    $la_tax_short = $adm['tax_short'];
}